Error in running OpenSeesMP on Ranger

This forum is for issues related to parallel processing
and OpenSees using the new interpreters OpenSeesSP and OpenSeesMP
Post Reply
jinlu
Posts: 47
Joined: Fri Jul 14, 2006 5:50 pm
Location: UC San Diego

Error in running OpenSeesMP on Ranger

Post by jinlu » Sun Nov 01, 2009 11:34 pm

I got the following error message when running OpenSeesMP on TACC Ranger machine:

Process Terminating 0
invalid command name "lassign"
while executing
"lassign $abutArgs elastic threeD coordTransf fy fc mDenConc mDenSteel deckNode abutNode ornt gap dead_load dw dd Ht"
(procedure "RollerAbutment::RollerAbutment" line 33)
invoked from within
"${type}::${type} AbutObject$tag $tag $base_shift [lrange $abutArgs 2 end]"
(procedure "Abutment" line 18 )
invoked from within
"Abutment "create" 1 [concat $MAT_SHIFT $argListAbutL $argListA $deckNodeL $abutNodeL \
-1 $gap $abut_loadL $dw $dd $Hcol]"
(file "GMR.tcl" line 843)
invoked from within
"source GMR.tcl"

-Jinchi

fmk
Site Admin
Posts: 5860
Joined: Fri Jun 11, 2004 2:33 pm
Location: UC Berkeley
Contact:

Post by fmk » Mon Nov 02, 2009 10:35 am

it's probably because they only have version tcl 8.4 installed .. lassign didn't come into the language until tcl 8.5

jinlu
Posts: 47
Joined: Fri Jul 14, 2006 5:50 pm
Location: UC San Diego

Post by jinlu » Mon Nov 02, 2009 11:00 am

Thanks. I'll ask them to install tcl 8.5 and let you know.

jinlu
Posts: 47
Joined: Fri Jul 14, 2006 5:50 pm
Location: UC San Diego

Post by jinlu » Fri Nov 13, 2009 2:26 am

The admin on Ranger were not able to install Tcl 8.5. So let's just stick with 8.4 for now (I just removed lassign from my script and use something else instead).

neallee
Posts: 62
Joined: Sun Aug 14, 2005 4:50 am
Location: Tianjin University

Post by neallee » Fri Nov 13, 2009 3:48 am

Users can install tcl8.5 for their own environment on ranger.
You can try it.

best regards,

Ning.
Li Ning, Ph.D. and Professor of Civil Engineering
TJU, China

jinlu
Posts: 47
Joined: Fri Jul 14, 2006 5:50 pm
Location: UC San Diego

Post by jinlu » Fri Nov 13, 2009 3:33 pm

Thanks Ning. I installed 8.5 in my folder. Later I realized I have to build my own OpenSeesMP since the one Frank provided was connected to 8.4 provided by the machine.

Anyway, it's too much to build a new MP. So I just live with the existing one.

Best wishes,
Jinchi

Post Reply